Jivox API Documentation
v1.0
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Tag Variable
Copy Markdown
Open in ChatGPT
Open in Claude
The various methods for Media plan are listed below:
Get Tag Variables
Gets all the DSP to Datasignal to macro mapping for a given campaign.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| campaignId | string | Mandatory | path | ID of the Campaign for which Tags need to be generated |
Sample Request
HTTP
GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/campaign/:campaignId/tagVariablesMapSample Response
JSON
[ { "adServerId": "Appnexus", //DSP Name "adServerParams": { "abTransitionnDir": "top/left/bottom/right" }, "dataSignal": "ap_DataSignal1", "idx": 5, //Tag variable map idx "macroName": "Advertiser Code" }, { "adServerId": "Appnexus", "adServerParams": {}, "dataSignal": "ap_DataSignal2", "idx": 6, "macroName": "Total Impressions" }, { "adServerId": "Turn", "adServerParams": { "ax": "x" }, "dataSignal": "ap_DataSignal3", "idx": 8, "macroName": "Encoded Advertiser Name" }]Create Tag Variable Map
Creates a DSP to Datasignal to macro mapping for a given campaign.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| campaignId | string | Mandatory | path | ID of the Campaign for which Tags need to be generated |
Sample Request
HTTP
POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/campaign/:campaignId/tagVariablesMapRequest Body
JSON
{ "adServerId": "Turn", "dataSignal": "ap_DataSignal3", "macroName": "Encoded Advertiser Name", "adServerParams": { "ax": "x" }}Sample Response
JSON
{ "idx": 8, "msg": "Tag conf variable created successfully"}Update Tag Variable
Updates an existing DSP to Datasignal to macro mapping for a given campaign.
Parameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | string | Mandatory | path | ID of the advertiser account created on the platform. |
| campaignId | string | Mandatory | path | ID of the Campaign for which Tags need to be generated |
Sample Request
HTTP
PUT http://demo.stub.api.jivox.com/v2/accounts/:accountId/campaign/:campaignId/tagVariablesMapRequest Body
JSON
{ "idx": 8, "adServerId": "Turn", "dataSignal": "ap_DataSignal3", "macroName": "Encoded Advertiser Name", "adServerParams": { "ax": "x" }}Sample Response
JSON
{ "idx": 8, "msg": "Tag conf variable updated successfully"}Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Last updated on
Was this page helpful?
Next to read:
Bulk Tag GenerationDiscard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message